/* DO NOT EDIT THIS FILE - it is machine generated */
#include <jni.h>
/* Header for class lab_JavaCppRunner */

#ifndef _Included_lab_JavaCppRunner
#define _Included_lab_JavaCppRunner
#ifdef __cplusplus
extern "C" {
#endif
/*
 * Class:     lab_JavaCppRunner
 * Method:    desaturation
 * Signature: ([[I)[[I
 */
JNIEXPORT jobjectArray JNICALL Java_lab_JavaCppRunner_desaturation
  (JNIEnv *, jobject, jobjectArray);

/*
 * Class:     lab_JavaCppRunner
 * Method:    enlightening
 * Signature: ([[ILlab/EnlightenLevelCallback;)[[I
 */
JNIEXPORT jobjectArray JNICALL Java_lab_JavaCppRunner_enlightening
  (JNIEnv *, jobject, jobjectArray, jobject);

#ifdef __cplusplus
}
#endif
#endif
